Skip to main content
GET
/
billing
/
status
Get Stripe account status
curl --request GET \
  --url https://api.interchange.io/api/v2/storefront/billing/status \
  --header 'Authorization: Bearer <token>'
{
  "accountId": "<string>",
  "chargesEnabled": true,
  "payoutsEnabled": true,
  "requirements": {
    "currentlyDue": [
      "<string>"
    ],
    "eventuallyDue": [
      "<string>"
    ]
  },
  "balance": {
    "available": [
      {
        "amount": 123,
        "currency": "<string>"
      }
    ],
    "pending": [
      {
        "amount": 123,
        "currency": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.interchange.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key or access token

Response

Get Stripe account status

Stripe Connect account status and balance

accountId
string
required
chargesEnabled
boolean
required
payoutsEnabled
boolean
required
requirements
object
required
balance
object
required